Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider
Class Signature

    java.lang.Object
      |
      +--org.mozilla.jss.provider.Signature

public class Signature
extends java.lang.Object

Field Summary
`(package private) Signature` | `sig`

Constructor Summary
`Signature()`

Method Summary
`void` | `engineInitSign(java.security.PrivateKey privateKey, java.security.SecureRandom random, SignatureAlgorithm sigAlg)`
`void` | `engineInitSign(java.security.PrivateKey privateKey, SignatureAlgorithm sigAlg)`
`void` | `engineInitVerify(java.security.PublicKey publicKey, SignatureAlgorithm sigAlg)`
`void` | `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`byte[]` | `engineSign()`
`int` | `engineSign(byte[] outbuf, int offset, int len)`
`void` | `engineUpdate(byte b)`
`void` | `engineUpdate(byte[] b, int off, int len)`
`boolean` | `engineVerify(byte[] sigBytes)`
`protected static Signature` | `getSigContext(java.security.PrivateKey privateKey, SignatureAlgorithm sigAlg)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### sig

    Signature sig

Constructor Detail

### Signature

    public Signature()

Method Detail

### engineInitSign

    public void engineInitSign(java.security.PrivateKey privateKey,
                               java.security.SecureRandom random,
                               SignatureAlgorithm sigAlg)
                        throws java.security.InvalidKeyException

### engineInitSign

    public void engineInitSign(java.security.PrivateKey privateKey,
                               SignatureAlgorithm sigAlg)
                        throws java.security.InvalidKeyException

### getSigContext

    protected static Signature getSigContext(java.security.PrivateKey privateKey,
                                             SignatureAlgorithm sigAlg)
                                      throws java.security.NoSuchAlgorithmException,
                                             java.security.InvalidKeyException,
                                             TokenException

### engineInitVerify

    public void engineInitVerify(java.security.PublicKey publicKey,
                                 SignatureAlgorithm sigAlg)
                          throws java.security.InvalidKeyException

### engineUpdate

    public void engineUpdate(byte b)
                      throws java.security.SignatureException

### engineUpdate

    public void engineUpdate(byte[] b,
                             int off,
                             int len)
                      throws java.security.SignatureException

### engineSign

    public byte[] engineSign()
                      throws java.security.SignatureException

### engineSign

    public int engineSign(byte[] outbuf,
                          int offset,
                          int len)
                   throws java.security.SignatureException

### engineVerify

    public boolean engineVerify(byte[] sigBytes)
                         throws java.security.SignatureException

### engineSetParameter

    public void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)
                            throws java.security.InvalidAlgorithmParameterException

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD